diff -urN linux.orig/arch/i386/kernel/entry.S linux.diff/arch/i386/kernel/entry.S
--- linux.orig/arch/i386/kernel/entry.S	Fri Jan 11 15:30:00 2002
+++ linux.diff/arch/i386/kernel/entry.S	Mon Jan 14 19:29:14 2002
@@ -635,6 +635,16 @@
 # endif
 #endif
 
+	/* More patch resilient means of adding syscalls */
+	.rept 244-(.-sys_call_table)/4
+		.long SYMBOL_NAME(sys_ni_syscall)
+	.endr
+	.long SYMBOL_NAME(sys_io_setup)
+	.long SYMBOL_NAME(sys_io_destroy)
+	.long SYMBOL_NAME(sys_io_submit)
+	.long SYMBOL_NAME(sys_io_cancel)
+	.long SYMBOL_NAME(sys_io_wait)
+	.long SYMBOL_NAME(sys_io_getevents)
 	.rept NR_syscalls-(.-sys_call_table)/4
 		.long SYMBOL_NAME(sys_ni_syscall)
 	.endr
diff -urN linux.orig/include/asm-i386/unistd.h linux.diff/include/asm-i386/unistd.h
--- linux.orig/include/asm-i386/unistd.h	Fri Jan 11 15:29:59 2002
+++ linux.diff/include/asm-i386/unistd.h	Mon Jan 14 19:29:47 2002
@@ -228,6 +228,14 @@
 #define __NR_getdents64		220
 #define __NR_fcntl64		221
 
+/* gap here for now */
+#define	__NR_io_setup		244
+#define	__NR_io_destroy		245
+#define	__NR_io_submit		246
+#define	__NR_io_cancel		247
+#define	__NR_io_wait		248
+#define	__NR_io_getevents	249
+
 /* user-visible error numbers are in the range -1 - -124: see <asm-i386/errno.h> */
 
 #define __syscall_return(type, res) \
